/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #2e8555;
  --ifm-color-primary-dark: #29784c;
  --ifm-color-primary-darker: #277148;
  --ifm-color-primary-darkest: #205d3b;
  --ifm-color-primary-light: #33925d;
  --ifm-color-primary-lighter: #359962;
  --ifm-color-primary-lightest: #3cad6e;
  --ifm-code-font-size: 95%;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);

  --ifm-tabs-padding-vertical: 0.6em;
  --ifm-tabs-padding-horizontal: 0.6em;
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme='dark'] {
  --ifm-color-primary: #25c2a0;
  --ifm-color-primary-dark: #21af90;
  --ifm-color-primary-darker: #1fa588;
  --ifm-color-primary-darkest: #1a8870;
  --ifm-color-primary-light: #29d5b0;
  --ifm-color-primary-lighter: #32d8b4;
  --ifm-color-primary-lightest: #4fddbf;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
}

.docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.1);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

html[data-theme='dark'] {
  --ifm-background-color: #191b1f;
  --ifm-navbar-background-color: #222429;
}

html[data-theme='dark'] .footer--dark {
  --ifm-footer-background-color: rgb(33, 37, 44);
}

html[data-theme='dark'] .docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.3);
}

.table-of-contents {
  margin-left: 120px;
}

.menu {
  padding: .5rem !important;
}

.header-gitlab-link:hover {
  opacity: 0.6;
}

.header-gitlab-link:before {
  content: '';
  width: 24px;
  height: 24px;
  display: flex;
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 380 366'%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill:%23000014%3B%7D%3C/style%3E%3C/defs%3E%3Cg id='LOGO'%3E%3Cpath class='cls-1' d='M373.64 151.87l-.52-1.36-51.72-135a13.42 13.42 0 0 0-5.31-6.41 13.77 13.77 0 0 0-15.94.85 13.57 13.57 0 0 0-4.57 7L260.65 123.84H119.35L84.43 17A13.68 13.68 0 0 0 63.92 9.14a13.44 13.44 0 0 0-5.32 6.41l-51.72 135-.52 1.36a96 96 0 0 0 31.86 111l.19.13.45.35 78.79 59 39 29.5 23.72 17.93a16 16 0 0 0 19.32 0l23.72-17.93 39-29.5L341.6 263l.2-.16A96 96 0 0 0 373.64 151.87Z' transform='translate(0 -7)'/%3E%3C/g%3E%3C/svg%3E")
    no-repeat;
}

html[data-theme='dark'] .header-gitlab-link:before {
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 380 366'%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill:%23fff%3B%7D%3C/style%3E%3C/defs%3E%3Cg id='LOGO'%3E%3Cpath class='cls-1' d='M373.64 151.87l-.52-1.36-51.72-135a13.42 13.42 0 0 0-5.31-6.41A13.62 13.62 0 0 0 295.58 17L260.65 123.84H119.35L84.43 17A13.68 13.68 0 0 0 63.92 9.14a13.44 13.44 0 0 0-5.32 6.41l-51.72 135-.52 1.36a96 96 0 0 0 31.86 111 2.31 2.31 0 0 1 .19.14l.45.34 78.79 59 39 29.5 23.72 17.93a16 16 0 0 0 19.32 0l23.72-17.93 39-29.5L341.6 263l.2-.17A96 96 0 0 0 373.64 151.87Z' transform='translate(0 -7)'/%3E%3C/g%3E%3C/svg%3E")
    no-repeat;
}

.icon-heading {
  display: flex;
}

.icon-heading img {
  margin-right: 0.5rem;
}
